# Record Class QCommandTreeResolver.QResolutionErrorDoesNotExist

java.lang.Object
java.lang.Record
com.io7m.quarrel.core.QCommandTreeResolver.QResolutionErrorDoesNotExist

Record Components:
  `path` - The entered path
  `badName` - The missing name

All Implemented Interfaces:
  `QCommandTreeResolver.QResolutionType`

Enclosing class:
  `QCommandTreeResolver`

public static record QCommandTreeResolver.QResolutionErrorDoesNotExist(List<String> path, String badName) extends Record implements QCommandTreeResolver.QResolutionType
The targeted object does not exist.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QResolutionErrorDoesNotExist(List<String> path, String badName)`
  The targeted object does not exist.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `badName()`
  Returns the value of the `badName` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `List<String>`
  `path()`
  Returns the value of the `path` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### QResolutionErrorDoesNotExist

    public QResolutionErrorDoesNotExist(List<String> path, String badName)
    The targeted object does not exist.
    Parameters:
      `path` - The entered path
      `badName` - The missing name

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### path

    public List<String> path()
    Returns the value of the `path` record component.
    Returns:
      the value of the `path` record component

  - ### badName

    public String badName()
    Returns the value of the `badName` record component.
    Returns:
      the value of the `badName` record component